#pragma once
#include <Cell.h>

#include <random>

/** Adds some energy to some random Cells.
 */
class BackgroundVisitor {
public:
  /** Default behaviour of the Visitor.
   *
   *  In principle special functions for SpecialCells are possible.
   */
  void visitCell(Cell* cell)
  {
    float randomNumber =  rand() / static_cast<float>(RAND_MAX);
    if (randomNumber > 0.97) {
      cell->addEDeposition(1);
    }
  }
};
